#ifndef vcam_H
#define vcam_H
/* Vision VV6300 CMOS camera interface
 * fileName: vcam.h
 * author: Jesse Pepper <peppe-jj@ee.uwa.edu.au>
 * history: v0.0 (Feb 1999) - basic interface
 * notes:
 * bugs:
 */

#include "globalDefines.h"

/**********************************************************/

#define VISIBLE_SIZE 19200 /** Size of visible pixel data from camera */
#define XIMAGE_SIZE 57600 /** Size of 160x120 24bpp image for ximprov */

/**********************************************************/

/** Initialise the VV6300 camera */
int VC_Init ( void );

/**********************************************************/

/** Get an ximage for improv
  * @param ximage: pointer to XIMAGE_SIZE bytes
  */
void VC_CGet24bppImage ( BYTE* ximage );

/**********************************************************/

#endif /* vam_H */

